# Tailchat

[![Docker Publish](https://github.com/msgbyte/tailchat/actions/workflows/docker-publish.yml/badge.svg)](https://github.com/msgbyte/tailchat/actions/workflows/docker-publish.yml)
![Docker Image Version (tag latest semver)](https://img.shields.io/docker/v/moonrailgun/tailchat/latest)
![Docker Pulls](https://img.shields.io/docker/pulls/moonrailgun/tailchat)

![tailchat](https://socialify.git.ci/msgbyte/tailchat/image?description=1&font=Inter&forks=1&issues=1&language=1&logo=https%3A%2F%2Favatars.githubusercontent.com%2Fu%2F86033898%3Fs%3D200%26v%3D4&name=1&owner=1&pattern=Circuit%20Board&stargazers=1&theme=Light)

Tailchat is a modern open source IM application which based on **React** + **Typescript**

Front-end microkernel architecture + backend microservice architecture, `Tailchat` is ready for clustering deployment.

The front end empowers the application through the plugin system, which is very simple and easy to expand for the secondary development of `Tailchat`.

Official Documentation: [https://tailchat.msgbyte.com/](https://tailchat.msgbyte.com/)

**Nightly version** Try it online: [https://nightly.paw.msgbyte.com/](https://nightly.paw.msgbyte.com/)

> Nightly version is the automatic compile version, that means, every commit code will be automatically compiled.
> The reliability and stability of the data are not guaranteed, you can deploy with stable version with docker images or github release page

**NOTICE: Although the core functionality of Tailchat is currently in a stable stage, its exposed interface for third-party developers is still being improved. Generally speaking, it is backward compatible, but retains the possibility of Break Change**

## Feature

- Pay attention to privacy, only invited members can join the group
- Prevent strangers, add friends only by nickname + a random string of numbers
- Two-level group space, dividing different topics by panels
- Highly customized group space, create original group space by grouping with dragging and dropping. At the same time, more plugins can be used to add more capabilities
- It can be rigorous or fun. Through the combination of plugins, `Tailchat` can be created for different scenarios. It can be for individuals or for enterprises
- The backend microservice structure is ready for large-scale deployment. Don't worry about what to do after the number of user growth


Learn more in our [website](https://tailchat.msgbyte.com/)

## Communication

If you are interested in `Tailchat`, welcome to join `Tailchat`'s seed user exchange group, your feedback can help `Tailchat` grow better

### Tailchat

[Tailchat Nightly Group](https://nightly.paw.msgbyte.com/invite/8Jfm1dWb)

### Wechat

<img width="360" src="./website/static/img/wechat.jpg" />
